<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>One D</title>
</head>
  <script src="ca1d.js"></script>
<body>

  <canvas id="canvas" width="1000" height="1000"></canvas>
   
  <script type="text/javascript">
    "use strict";

    const canvas = document.getElementById("canvas");

    const context = canvas.getContext("2d");
    context.scale(2,2);

    function initRandom(p) {
        return function(x) {
            if( Math.random() <= p )
                return 1;
            else       
                return 0;  
        };
    }

    function initMidPoint( w  ) {
        let w2 = Math.ceil(w/2);
        return function( x ) {
            if( x === w2 ) return 1.0;
            else return 0.0;
        }
    }

    function moveLeft( l, c, r ) {
	return l;
    }
    
    function wolfram( i ) {
	return function( l, c, r ) {
	    let j = l*4 + c*2 + r;
	    return (i >> j) & 1;
	}
    }
    
    const L = 250; //Width
    const T = 250; //Iterations
    let cells = setup( L, T, initRandom(0.5) ); //TRY initMidPoint(L)
    start( context, cells, wolfram(110) ); //TRY wolfram(30)
  </script>
</body>
</html>

